<div class="body">
  <div class="body-wrapper">
    <app-filters (searchChange)="onSearchChange($event)"></app-filters>
    <section class="ads">
      <div class="title">
        <h2>T-Shirts</h2>
        <app-limit [searchModel]="searchSubject | async" (limitChange)="onLimitChange($event)"></app-limit>
      </div>
      <div class="adsContainer" id="adsContainer">
        <app-ad
          *ngFor="let product of products$ | async"
          [product]="product"
        ></app-ad>
      </div>
      <app-pagination
        [totalItems]="totalCount$ | async"
        [searchModel]="searchSubject | async"
        (pageChange)="onPageChange($event)"
      ></app-pagination>
    </section>
  </div>
</div>
